# \[Work In Progress\] AMWA IS-10 NMOS Authorization Specification

AMWA IS-10 specifies an API for the authorization of other NMOS APIs. 

## Getting started

Readers are advised to be familiar with:

- The [overview of Networked Media Open Specifications](https://github.com/AMWA-TV/nmos)
- [AMWA BCP-003](https://github.com/AMWA-TV/nmos-api-security) Best Practices for NMOS API Security

Readers should then read the [documentation](docs/) in this repository, and the [APIs](APIs/), which are written in RAML -- if a suitable tool is not available for reading this, then [this](APIs/generateHTML) will create HTML versions.

> HTML rendered versions of all NMOS Specifications are available on the [NMOS GitHub pages](https://amwa-tv.github.io/nmos)

## Contents

- README.md -- This file
- [docs/](docs/) -- Documentation targeting those implementing APIs and clients.
- [APIs/](APIs/) -- Normative specifications of APIs
- [examples/](examples/) -- Example JSON requests and responses for APIs
- [LICENSE](LICENSE) -- Licenses for software and text documents
- [NOTICE](NOTICE) -- Disclaimer
